Page MenuHomePhabricator

decommission db1071.eqiad.wmnet
Closed, ResolvedPublic

Description

This task will track the decommission-hardware of server db1071.eqiad.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

db1071.eqiad.wmnet

Steps for service owner:

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Marostegui triaged this task as Medium priority.Jul 31 2019, 5:48 AM
Marostegui created this task.

Change 528619 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission db1071

https://gerrit.wikimedia.org/r/528619

Change 528620 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db1071 from config

https://gerrit.wikimedia.org/r/528620

Change 528620 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db1071 from config

https://gerrit.wikimedia.org/r/528620

Mentioned in SAL (#wikimedia-operations) [2019-08-07T05:50:19Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db1071 from config T229381 (duration: 00m 57s)

Marostegui updated the task description. (Show Details)Aug 7 2019, 5:51 AM

Mentioned in SAL (#wikimedia-operations) [2019-08-07T05:51:20Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db1071 from config T229381 (duration: 00m 55s)

Change 528619 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db1071

https://gerrit.wikimedia.org/r/528619

Marostegui updated the task description. (Show Details)Aug 7 2019, 5:53 AM

Mentioned in SAL (#wikimedia-operations) [2019-08-07T05:55:20Z] <marostegui> Remove db1071 from tendril and zarcillo - T229381

Mentioned in SAL (#wikimedia-operations) [2019-08-07T05:57:35Z] <marostegui> Stop MySQL on db1071 - T229381

Marostegui reassigned this task from Marostegui to RobH.Aug 7 2019, 5:59 AM
Marostegui edited projects, added ops-eqiad, DC-Ops; removed Patch-For-Review.
Marostegui updated the task description. (Show Details)

This host is ready for DC-Ops to decommission

Cmjohnson moved this task from Backlog to Decommission on the ops-eqiad board.Aug 8 2019, 3:17 PM

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db1071.eqiad.wmnet

  • db1071.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 540764 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] site.pp: Remove references to db1071

https://gerrit.wikimedia.org/r/540764

Change 540765 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove production entries for db1071

https://gerrit.wikimedia.org/r/540765

Change 540764 merged by Marostegui:
[operations/puppet@production] site.pp: Remove references to db1071

https://gerrit.wikimedia.org/r/540764

Change 540765 merged by Marostegui:
[operations/dns@master] wmnet: Remove production entries for db1071

https://gerrit.wikimedia.org/r/540765

Marostegui reassigned this task from RobH to Cmjohnson.Oct 4 2019, 6:22 AM
Marostegui removed a project: Patch-For-Review.
Marostegui updated the task description. (Show Details)

Host ready for on-site steps + switch port disablement

RobH removed a subscriber: RobH.Oct 4 2019, 3:15 PM
Jclark-ctr added subscribers: RobH, Cmjohnson.
Jclark-ctr updated the task description. (Show Details)Nov 1 2019, 10:33 PM

wiped drives added to google decom sheet

Papaul added a subscriber: Papaul.Nov 5 2019, 9:46 PM
papaul@asw2-d-eqiad# show | compare 
[edit interfaces interface-range vlan-private1-d-eqiad]
-    member ge-1/0/18;
[edit interfaces interface-range disabled]
     member ge-1/0/17 { ... }
+    member ge-1/0/18;
[edit interfaces]
-   ge-1/0/18 {
-       description db1071;
-   }
Papaul updated the task description. (Show Details)Nov 5 2019, 9:47 PM

Change 548907 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for db1063,db1064,db1065,db1068,db1070 and db1071

https://gerrit.wikimedia.org/r/548907

Change 548907 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for db1063,db1064,db1065,db1068,db1070 and db1071

https://gerrit.wikimedia.org/r/548907

Papaul closed this task as Resolved.Nov 5 2019, 10:08 PM
Papaul updated the task description. (Show Details)

Complete